import { PropType } from 'vue';
declare type Theme = 'dark' | 'default' | 'forest' | 'neutral' | 'null';
declare const MermaidComponent: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
        default(): string;
    };
    graph: {
        type: StringConstructor;
        required: true;
    };
    style: {
        type: ObjectConstructor;
        required: false;
        default(): {};
    };
    theme: {
        type: PropType<Theme>;
        default: string;
    };
    themeVariables: {
        type: ObjectConstructor;
        default: () => {
            primaryColor: string;
            darkMode: boolean;
        };
    };
}, unknown, {
    observer?: MutationObserver | undefined;
    darkMode: boolean;
}, {
    html(): HTMLHtmlElement | null;
}, {
    updateDarkMode(): void;
    renderGraph(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
        default(): string;
    };
    graph: {
        type: StringConstructor;
        required: true;
    };
    style: {
        type: ObjectConstructor;
        required: false;
        default(): {};
    };
    theme: {
        type: PropType<Theme>;
        default: string;
    };
    themeVariables: {
        type: ObjectConstructor;
        default: () => {
            primaryColor: string;
            darkMode: boolean;
        };
    };
}>>, {
    id: string;
    style: Record<string, any>;
    theme: Theme;
    themeVariables: Record<string, any>;
}>;
export { MermaidComponent };
